/*
    Copyright 2013 Jorge Paniagua

    This file is part of Recro GameEngine.

    Recro GameEngine is free software: you can redistribute it and/or modify
    it under the terms of the Lesser GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    Recro GameEngine is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    Lesser GNU General Public License for more details.

    You should have received a copy of the Lesser GNU General Public License
    along with Recro GameEngine. If not, see <http://www.gnu.org/licenses/>.

    Any questions about the software write to gxsoft6@gmail.com

    The tutorials are in http://gxsoftware.jimdo.com/tutorials/
*/

#pragma once

#include <SDL/SDL.h>

#define TRUE 1
#define FALSE 0

class RecroMouse //mouse control
{
    public:
        int h;
        int w;
        int x; //mouse pos x
        int y; //mouse pox y
        int rx;//relative mouse pos x
        int ry;//relative mouse pos y
        int lb; //mouse left button state
        int rb; //mouse right button state
        int cb; //mouse middle button state
        int wu; //mouse wheel up
        int wd; //mouse wheel down
        RecroMouse();
        void Refresh();//refresh mouse state
};
